> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# EDS Reverse Lookup for Video

> EDS Reverse Lookup for Video

* [Reverse Lookup steps](#ID4EQ)

## Reverse Lookup steps

Entertainment Discovery Services (EDS) Reverse Lookup is supported for all Video media types (**MediaItemType.Movie**, **MediaItemType.TVSeries**, **MediaItemType.TVEpisode**, **MediaItemType.TVSeason**, and **MediaItemType.TVShow**), as well as **MediaItemType.Unknown**.

Reverse lookup requires 4 parameters to be passed:

* `idType=ScopedMediaId`
* `ids=` the provider media ID
* `ScopeIdType=Title`
* `ScopeId=` the provider title ID

Usually the reverse lookup requires 2 steps:

* Retrieve provider media id (for example, from a details call) if it's not available.

```cpp theme={null}
GET /media/en-us/details?ids=4eeaf5b4-9af2-56e4-a738-68b48e954494&desiredMediaItemTypes=Movie&desired=Providers
```

* Issue the call for reverse lookup using the **ProviderMediaId** field from the previous response:

```cpp theme={null}
GET /media/en-us/details?ids=047d19ca-3a7d-462c-bdbb-163543125583&idType=ScopedMediaId&desiredMediaItemTypes=Movie&fields=all&ScopeIdType=Title&ScopeId=0x5848085B
```

If the **ProviderMediaId** field has not been retrieved from EDS then the field must be URL-encoded to be passed correctly to EDS.

## See also

##### Parent

[Additional Reference](https://docs.xbox.com/reference/live/rest/additional/atoc-xboxlivews-reference-additional.md)

##### Further Information

[Marketplace URIs](https://docs.xbox.com/reference/live/rest/uri/marketplace/atoc-reference-marketplace.md)


## Related topics

- [Additional Reference](https://docs.xbox.com/reference/live/rest/additional/atoc-xboxlivews-reference-additional.md)
- [EDS Parameters](https://docs.xbox.com/reference/live/rest/additional/edsparameters.md)
- [EDS Tables](https://docs.xbox.com/reference/live/rest/additional/edstables.md)
- [Error Lookup (xberror.exe)](https://docs.xbox.com/tools/tools-console/commandlinetools/xberror.md)
- [EDS Authorization](https://docs.xbox.com/reference/live/rest/additional/edsauthorization.md)
